Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.plugins.strategies
Class FinderFromDfltResource

    java.lang.Object
      org.apache.commons.digester3.plugins.RuleFinder
          org.apache.commons.digester3.plugins.strategies.FinderFromDfltResource

    public class FinderFromDfltResource

extends RuleFinder

A rule-finding algorithm which looks for a resource file in the classpath whose name is derived from the plugin class name plus a specified suffix.

If the resource-file is found, then it is expected to define a set of Digester rules in xmlrules format.

Since:
  1.6

Constructor Summary
`FinderFromDfltResource()` See `findLoader(org.apache.commons.digester3.Digester, java.lang.Class, java.util.Properties)`.
`FinderFromDfltResource(String resourceSuffix)` Create a rule-finder which can load an xmlrules file, cache the rules away, and later add them as a plugin's custom rules when that plugin is referenced.

Method Summary
`RuleLoader` | `findLoader(Digester d, Class<?> pluginClass, Properties p)` If there exists a resource file whose name is equal to the plugin class name + the suffix specified in the constructor, then load that file, run it through the xmlrules module and return an object encapsulating those rules.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FinderFromDfltResource

    public FinderFromDfltResource()

  See `findLoader(org.apache.commons.digester3.Digester, java.lang.Class, java.util.Properties)`.

### FinderFromDfltResource

    public FinderFromDfltResource(String resourceSuffix)

  Create a rule-finder which can load an xmlrules file, cache the rules away, and later add them as a plugin's custom rules when that plugin is referenced.

  Parameters:
    `resourceSuffix` - must be non-null.

Method Detail

### findLoader

    public RuleLoader findLoader(Digester d,
                                 Class<?> pluginClass,
                                 Properties p)
                          throws PluginException

  If there exists a resource file whose name is equal to the plugin class name + the suffix specified in the constructor, then load that file, run it through the xmlrules module and return an object encapsulating those rules.

  If there is no such resource file, then just return null.

  The returned object (when non-null) will add the selected rules to the digester whenever its addRules method is invoked.

  Specified by:
    `findLoader` in class `RuleFinder`
  Parameters:
    `d` - The digester instance where locating plugin classes
    `pluginClass` - The plugin Java class
    `p` - The properties object that holds any xml attributes the user may have specified on the plugin declaration in order to indicate how to locate the plugin rules.
  Returns:
    a source of digester rules for the specified plugin class.
  Throws:
    `PluginException` - if the algorithm finds a source of rules, but there is something invalid about that source.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.